Debian Bug report logs - #301782
goobox: Ripping to ogg causes segfault

version graph

Package: goobox; Maintainer for goobox is Helge Kreutzmann <debian@helgefjell.de>; Source for goobox is src:goobox.

Reported by: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>

Date: Mon, 28 Mar 2005 10:18:04 UTC

Severity: grave

Found in version 0.9.90-1

Fixed in version goobox/0.9.91-1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dan Korostelev <dan@ats.energo.ru>:
Bug#301782; Package goobox. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
New Bug report received and forwarded. Copy sent to Dan Korostelev <dan@ats.energo.ru>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: submit@bugs.debian.org
Subject: goobox: Ripping to ogg causes segfault
Date: Mon, 28 Mar 2005 12:06:23 +0200
[Message part 1 (text/plain, inline)]
Package: goobox
Version: 0.9.90-1
Severity: normal

I once ripped to ogg-files without problem. Now I got the new version,
added the titles (for some reason it does not get them from the net)
and now ripping always ends in a segfault when I press extract.

I attaced the strace files (-ff). Also I rebuild goobox without
stripping and ran it in gdb. Here is what I got:

helge@remaxp:~/tmp$ gdb /usr/bin/goobox 
GNU gdb 6.3-debian
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-linux"...Using host libthread_db library "/li
b/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/goobox 
[Thread debugging using libthread_db enabled]
[New Thread 182977096768 (LWP 4414)]
[New Thread 1082128752 (LWP 4417)]
[New Thread 1084225904 (LWP 4418)]
[New Thread 1086323056 (LWP 4419)]
[Thread 1084225904 (LWP 4418) exited]
[Thread 1082128752 (zombie) exited]
[Thread 1086323056 (LWP 4419) exited]

(goobox:4414): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(goobox:4414): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYP
E_CHECK_INSTANCE (instance)' failed

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 182977096768 (LWP 4414)]
0x0000002a983fb1d7 in gst_element_set_state ()
   from /usr/lib/libgstreamer-0.8.so.1
(gdb) bt full
#0  0x0000002a983fb1d7 in gst_element_set_state ()
   from /usr/lib/libgstreamer-0.8.so.1
No symbol table info available.
#1  0x000000000042dbec in rip_current_track (data=0x8d2cb0) at dlg-ripper.c:471
        track = (TrackInfo *) 0x814620
        folder = 0x8f9ed0 "\200Å\217"
        e_title = 0x8fc460 "P\235\217"
        event = (GstEvent *) 0x1
#2  0x000000000042b8f1 in dlg_extract__start_ripping (dialog=0x0)
    at dlg-extract.c:133
        data = (DialogData *) 0x8687c0
        destination = 0x8cdd50 "/scr/media/audio/Prodigy"
        file_format = GOO_FILE_FORMAT_OGG
        tracks_to_rip = (GList *) 0x85b1f8
#3  0x0000002a98ceebe2 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#4  0x0000002a98cdef16 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#5  0x0000002a98cee78e in g_signal_emit_by_name ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#6  0x0000002a98ced7c6 in g_signal_emit_valist ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#7  0x0000002a98ceda93 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#8  0x0000002a97504b5c in gtk_button_clicked ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#9  0x0000002a97505776 in _gtk_button_paint ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#10 0x0000002a98ceebe2 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#11 0x0000002a98cdf190 in g_cclosure_new_swap ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#12 0x0000002a98cdef16 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#13 0x0000002a98cee042 in g_signal_emit_by_name ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#14 0x0000002a98ced7c6 in g_signal_emit_valist ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#15 0x0000002a98ceda93 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#16 0x0000002a97504afc in gtk_button_released ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#17 0x0000002a97505639 in _gtk_button_paint ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#18 0x0000002a975ace13 in _gtk_marshal_BOOLEAN__BOXED ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#19 0x0000002a98cdf190 in g_cclosure_new_swap ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#20 0x0000002a98cdef16 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#21 0x0000002a98cee23a in g_signal_emit_by_name ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#22 0x0000002a98ced5d3 in g_signal_emit_valist ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#23 0x0000002a98ceda93 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#24 0x0000002a9767ba66 in gtk_widget_send_expose ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#25 0x0000002a975ab965 in gtk_propagate_event ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#26 0x0000002a975aab22 in gtk_main_do_event ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#27 0x0000002a978dcaac in _gdk_events_queue ()
   from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#28 0x0000002a9925090c in g_main_depth () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#29 0x0000002a992518a4 in g_main_context_dispatch ()
   from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#30 0x0000002a99251bae in g_main_context_dispatch ()
   from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#31 0x0000002a99252095 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#32 0x0000002a968111ab in bonobo_main () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#33 0x00000000004425d5 in main (argc=5753312, argv=0x7fbffff958) at main.c:194
        program = (GnomeProgram *) 0x57c9e0
        value = {g_type = 68, data = {{v_int = 5770432, v_uint = 5770432, 
      v_long = 5770432, v_ulong = 5770432, v_int64 = 5770432, 
      v_uint64 = 5770432, v_float = 8.0860975e-39, 
      v_double = 2.850972212862996e-317, v_pointer = 0x580cc0}, {v_int = 0, 
      v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
      v_float = 0, v_double = 0, v_pointer = 0x0}}}
        pctx = 0x580cc0
        factory = 0x2a985f9dd0
(gdb) 

Please tell me what else I can provide you for debugging.

Btw. the programm also crashes in a locally combiled kernel with 
grsec, but I was not able to get it to detect a CD while running in
gdb. (It kept saying "Detecting disc")

-- System Information:
Debian Release: 3.1
Architecture: amd64 (x86_64)
Kernel: Linux 2.6.10-9-amd64-k8
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages goobox depends on:
ii  gnome-media    2.8.0-0.2                 Gnome 2 Media Utilities
ii  gstreamer0.8-c 0.8.7-3                   cdparanoia plugin for GStreamer
ii  libart-2.0-2   2.3.17-1                  Library of functions for 2D graphi
ii  libatk1.0-0    1.8.0-4                   The ATK accessibility toolkit
ii  libaudiofile0  0.2.6-5                   Open-source version of SGI's audio
ii  libbonobo2-0   2.8.1-2                   Bonobo CORBA interfaces library
ii  libbonoboui2-0 2.8.1-2                   The Bonobo UI library
ii  libc6          2.3.2.ds1-20.0.0.1.pure64 GNU C Library: Shared libraries an
ii  libesd0        0.2.35-2                  Enlightened Sound Daemon - Shared 
ii  libgcc1        1:3.4.3-9                 GCC support library
ii  libgconf2-4    2.8.1-4                   GNOME configuration database syste
ii  libgcrypt11    1.2.0-11                  LGPL Crypto library - runtime libr
ii  libglade2-0    1:2.4.2-2                 library to load .glade files at ru
ii  libglib2.0-0   2.6.3-1                   The GLib library of C routines
ii  libgnome-keyri 0.4.1-1                   GNOME keyring services library
ii  libgnome2-0    2.8.1-2                   The GNOME 2 library - runtime file
ii  libgnomecanvas 2.8.0-1                   A powerful object-oriented display
ii  libgnomeui-0   2.8.1-3                   The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0 2.8.4-2                   The GNOME virtual file-system libr
ii  libgnutls11    1.0.16-13                 GNU TLS library - runtime library
ii  libgpg-error0  1.0-1                     library for common error values an
ii  libgstreamer-g 0.8.7-3                   GConf support for GStreamer
ii  libgstreamer-p 0.8.7-3                   Various GStreamer libraries and li
ii  libgstreamer0. 0.8.9-2                   Core GStreamer libraries, plugins,
ii  libgtk2.0-0    2.6.2-4                   The GTK+ graphical user interface 
ii  libice6        4.3.0.dfsg.1-12           Inter-Client Exchange library
ii  libjpeg62      6b-10                     The Independent JPEG Group's JPEG 
ii  liborbit2      1:2.12.1-1                libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0  1.8.1-1                   Layout and rendering of internatio
ii  libpopt0       1.7-5                     lib for parsing cmdline parameters
ii  libsm6         4.3.0.dfsg.1-12           X Window System Session Management
ii  libstdc++5     1:3.3.5-8                 The GNU Standard C++ Library v3
ii  libtasn1-2     0.2.10-4                  Manage ASN.1 structures (runtime)
ii  libx11-6       4.3.0.dfsg.1-12           X Window System protocol client li
ii  libxml2        2.6.16-4                  GNOME XML library
ii  xlibs          4.3.0.dfsg.1-12           X Keyboard Extension (XKB) configu
ii  zlib1g         1:1.2.2-4                 compression library - runtime

-- no debconf information
-- 
Dr. Helge Kreutzmann, Dipl.-Phys.           Helge.Kreutzmann@itp.uni-hannover.de
                       gpg signed mail preferred 
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/
[gooboxcrash.22394.bz2 (text/plain, attachment)]
[gooboxcrash.299.bz2 (application/octet-stream, attachment)]
[gooboxcrash.445.bz2 (application/octet-stream, attachment)]
[gooboxcrash.bz2 (application/octet-stream, attachment)]
[Message part 6 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dan Korostelev <dan@ats.energo.ru>:
Bug#301782; Package goobox. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to Dan Korostelev <dan@ats.energo.ru>. Full text and rfc822 format available.

Message #10 received at 301782@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: 301782@bugs.debian.org
Subject: Also on ppc
Date: Wed, 30 Mar 2005 09:57:51 +0200
[Message part 1 (text/plain, inline)]
Hello,
I just tried it on my ppc/testing box. goobox segfaults at the same
position, so it does not seem to be arch/endian specific, nor 64bit/32
bit related.

Greetings

        Helge
-- 
Dr. Helge Kreutzmann, Dipl.-Phys.           Helge.Kreutzmann@itp.uni-hannover.de
                       gpg signed mail preferred 
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dan Korostelev <dan@ats.energo.ru>:
Bug#301782; Package goobox. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to Dan Korostelev <dan@ats.energo.ru>. Full text and rfc822 format available.

Message #15 received at 301782@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: 301782@bugs.debian.org
Subject: 0.7.2-1 works flawlessly
Date: Wed, 30 Mar 2005 10:51:23 +0200
[Message part 1 (text/plain, inline)]
Hello,
I tried it on both machines (amd64 and ppc) and with 0.7.2-1 I can
perfectly create the ogg files.

So this is a regression, do you think there is a chance to fix it for
Sarge?

Greetings

          Helge
-- 
Dr. Helge Kreutzmann, Dipl.-Phys.           Helge.Kreutzmann@itp.uni-hannover.de
                       gpg signed mail preferred 
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#301782; Package goobox. Full text and rfc822 format available.

Acknowledgement sent to Dan Korostelev <dan@ats.energo.ru>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 301782@bugs.debian.org (full text, mbox):

From: Dan Korostelev <dan@ats.energo.ru>
To: 301782@bugs.debian.org
Subject: Some problems
Date: Wed, 06 Apr 2005 00:17:40 +0400
Of course this needs to be fixed for Sarge. Right now I have some
problems with Real Life, but I'm going to find and fix this thing in
several days now. Also there's new upstream version to check out, maybe
it's already fixed there...

-- 
Dan Korostelev <dan@ats.energo.ru>




Information forwarded to debian-bugs-dist@lists.debian.org, Dan Korostelev <dan@ats.energo.ru>:
Bug#301782; Package goobox. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to Dan Korostelev <dan@ats.energo.ru>. Full text and rfc822 format available.

Message #25 received at 301782@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: 301782@bugs.debian.org
Subject: Should I try out something ?
Date: Mon, 11 Apr 2005 18:02:42 +0200
[Message part 1 (text/plain, inline)]
Hello Dan,
should I try out a new version of goobox? (E.g., plugging the current
debian-directory into a newer tarball)? If you need help testing,
please tell me.

And please CC: me on replies to the bug, as I don't automatically
receive the messages.

Greetings & Thanks for taking care

       Helge
-- 
Dr. Helge Kreutzmann, Dipl.-Phys.           Helge.Kreutzmann@itp.uni-hannover.de
                       gpg signed mail preferred 
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#301782; Package goobox. Full text and rfc822 format available.

Acknowledgement sent to Dan Korostelev <dan@ats.energo.ru>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #30 received at 301782@bugs.debian.org (full text, mbox):

From: Dan Korostelev <dan@ats.energo.ru>
To: 301782@bugs.debian.org
Subject: Nope
Date: Mon, 11 Apr 2005 23:45:36 +0400
[Message part 1 (text/plain, inline)]
The new version has the same problem, I already checked. It segfaults on
any format extraction. 

The real problem is that I have some troubles with Real Life now, so I
have very few free time to work on goobox.

Maybe, we should better upload 0.7.2, targeted for Sarge as a temporary
solution, and when I'll get more time, try to fix this bug?

-- 
Dan Korostelev <dan@ats.energo.ru>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#301782; Package goobox. Full text and rfc822 format available.

Acknowledgement sent to Dan Korostelev <dan@ats.energo.ru>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #35 received at 301782@bugs.debian.org (full text, mbox):

From: Dan Korostelev <dan@ats.energo.ru>
To: 301782-submitter@bugs.debian.org, 301782@bugs.debian.org
Subject: Sorry
Date: Sun, 17 Apr 2005 17:36:29 +0000
[Message part 1 (text/plain, inline)]
Can you please test it once again with latest unstable GTK+ and GNOME?

Looks like it works again here.

Thanks.

-- 
Dan Korostelev <dan@ats.energo.ru>
[signature.asc (application/pgp-signature, inline)]

Message sent on to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Bug#301782. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dan Korostelev <dan@ats.energo.ru>:
Bug#301782; Package goobox. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and forwarded to list. Copy sent to Dan Korostelev <dan@ats.energo.ru>. Full text and rfc822 format available.

Message #43 received at 301782@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
To: Dan Korostelev <dan@ats.energo.ru>, 301782-quiet@bugs.debian.org
Cc: 301782-submitter@bugs.debian.org, 301782@bugs.debian.org
Subject: Re: Bug#301782: Sorry
Date: Tue, 19 Apr 2005 14:57:03 +0200
[Message part 1 (text/plain, inline)]
Hello,
On Sun, Apr 17, 2005 at 05:36:29PM +0000, Dan Korostelev wrote:
> Can you please test it once again with latest unstable GTK+ and GNOME?
> 
> Looks like it works again here.

I'd rather avoid upgrading completely to unstable. Any specific
packages which I should upgrade? Also with the same (latest) goobox?

Greetings

          Helge



-- 
Dr. Helge Kreutzmann, Dipl.-Phys.           Helge.Kreutzmann@itp.uni-hannover.de
                       gpg signed mail preferred 
    64bit GNU powered                  http://www.itp.uni-hannover.de/~kreutzm
       Help keep free software "libre": http://www.freepatents.org/
[Message part 2 (application/pgp-signature, inline)]

Information stored:
Bug#301782; Package goobox. Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message sent on to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Bug#301782. Full text and rfc822 format available.

Severity set to `important'. Request was from Dan Korostelev <dan@ats.energo.ru> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#301782; Package goobox. Full text and rfc822 format available.

Acknowledgement sent to Dan Korostelev <dan@ats.energo.ru>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #58 received at 301782-quiet@bugs.debian.org (full text, mbox):

From: Dan Korostelev <dan@ats.energo.ru>
To: Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
Cc: 301782-submitter@bugs.debian.org, 301782-quiet@bugs.debian.org, control@bugs.debian.org
Subject: Sad
Date: Sun, 24 Apr 2005 06:17:49 +0400
[Message part 1 (text/plain, inline)]
severity 301782 important
thanks

On Tue, 2005-04-19 at 14:57 +0200, Helge Kreutzmann wrote:

> >  Can you please test it once again with latest unstable GTK+ and GNOME?
> > Looks like it works again here.
> I'd rather avoid upgrading completely to unstable. Any specific
> packages which I should upgrade? Also with the same (latest) goobox?

Nevermind, I have set up a chroot with clean unstable system and the
crash is still present there. However, Goobox works fine with current
experimental's GTK+ 2.6.7 and GNOME 2.10.1. The bug is really weird, but
it's certainly because of conflict with some older libraries. I'll try
installing experimental libraries on the clean unstable system one by
one and on each step, I'll test how goobox extract function works.
Thanks for debug info (though I'll have to do many more debugs). :)

-- 
Dan Korostelev <dan@ats.energo.ru>
[signature.asc (application/pgp-signature, inline)]

Message sent on to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Bug#301782. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#301782; Package goobox. Full text and rfc822 format available.

Acknowledgement sent to Dan Korostelev <dan@ats.energo.ru>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #66 received at 301782@bugs.debian.org (full text, mbox):

From: Dan Korostelev <dan@ats.energo.ru>
To: control@bugs.debian.org, 301782@bugs.debian.org
Subject: :(
Date: Sat, 30 Apr 2005 23:29:21 +0400
[Message part 1 (text/plain, inline)]
tag 301782 help
severity 301782 grave
thanks

Too bad. I didn't locate the bug yet, and the Sarge release is already
near. Too bad I don't have time. Tagging this bug with "help" and
raising its severity.

-- 
Dan Korostelev <nadako@gmail.com>
-- 
Dan Korostelev <dan@ats.energo.ru>
[signature.asc (application/pgp-signature, inline)]

Tags added: help Request was from Dan Korostelev <dan@ats.energo.ru> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `grave'. Request was from Dan Korostelev <dan@ats.energo.ru> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dan Korostelev <dan@ats.energo.ru>:
Bug#301782; Package goobox. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Dan Korostelev <dan@ats.energo.ru>. Full text and rfc822 format available.

Message #75 received at 301782@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 301782@bugs.debian.org
Subject: This, perhaps?
Date: Sun, 1 May 2005 15:07:17 -0400
[Message part 1 (text/plain, inline)]
I see that the segfault is happening in the call 

gst_element_set_state (data->sink, GST_STATE_NULL);

(goobox-0.9.90/src/dlg-ripper.c:471)

The only relevant change I see between 0.72 and 0.90 (after admittedly
only cursory looking) that affects this call is this change:

@@ -258,7 +260,7 @@
              G_CALLBACK (encoder_eos_cb),
              data);

-   data->sink = gst_element_factory_make ("filesink", "filesink");
+   data->sink = gst_element_factory_make ("gnomevfssink", "filesink");

    gst_bin_add_many (GST_BIN (data->rip_thread), data->source, data->encoder, data->sink, NULL);
    gst_element_link_many (data->source, data->encoder, data->sink, NULL);

Perhaps change it back and see if the segfault goes away?
HTH,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#301782; Package goobox. Full text and rfc822 format available.

Acknowledgement sent to Dan Korostelev <dan@ats.energo.ru>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #80 received at 301782@bugs.debian.org (full text, mbox):

From: Dan Korostelev <dan@ats.energo.ru>
To: 301782@bugs.debian.org, Stephen Gran <sgran@debian.org>
Subject: Re: Bug#301782: This, perhaps?
Date: Sun, 01 May 2005 23:48:41 +0400
[Message part 1 (text/plain, inline)]
On Sun, 2005-05-01 at 15:07 -0400, Stephen Gran wrote:

> -   data->sink = gst_element_factory_make ("filesink", "filesink");
> +   data->sink = gst_element_factory_make ("gnomevfssink", "filesink");
> Perhaps change it back and see if the segfault goes away?

Oh, sure. Stupid me forgot to add a dependency on gstreamer0.8-gnomevfs!
Thanks for finding that out! I'm going to test it in a chroot one more
time and then upload new package. Thanks again!

-- 
Dan Korostelev <dan@ats.energo.ru>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dan Korostelev <dan@ats.energo.ru>:
Bug#301782; Package goobox. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Dan Korostelev <dan@ats.energo.ru>. Full text and rfc822 format available.

Message #85 received at 301782@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Dan Korostelev <dan@ats.energo.ru>
Cc: 301782@bugs.debian.org
Subject: Re: Bug#301782: This, perhaps?
Date: Sun, 1 May 2005 16:13:55 -0400
[Message part 1 (text/plain, inline)]
This one time, at band camp, Dan Korostelev said:
> On Sun, 2005-05-01 at 15:07 -0400, Stephen Gran wrote:
> 
> > -   data->sink = gst_element_factory_make ("filesink", "filesink");
> > +   data->sink = gst_element_factory_make ("gnomevfssink", "filesink");
> > Perhaps change it back and see if the segfault goes away?
> 
> Oh, sure. Stupid me forgot to add a dependency on gstreamer0.8-gnomevfs!
> Thanks for finding that out! I'm going to test it in a chroot one more
> time and then upload new package. Thanks again!

Glad to help out (even if I suggested the wrong fix :)  Just some Sunday
afternoon bug hunting.

Take care,
-- 
 -----------------------------------------------------------------
|   ,''`.					     Stephen Gran |
|  : :' :					 sgran@debian.org |
|  `. `'			Debian user, admin, and developer |
|    `-					    http://www.debian.org |
 -----------------------------------------------------------------
[Message part 2 (application/pgp-signature, inline)]

Tags set to: pending Request was from Dan Korostelev <nadako@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Dan Korostelev <nadako@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #92 received at 301782-close@bugs.debian.org (full text, mbox):

From: Dan Korostelev <nadako@gmail.com>
To: 301782-close@bugs.debian.org
Subject: Bug#301782: fixed in goobox 0.9.91-1
Date: Mon, 02 May 2005 07:17:07 -0400
Source: goobox
Source-Version: 0.9.91-1

We believe that the bug you reported is fixed in the latest version of
goobox, which is due to be installed in the Debian FTP archive:

goobox_0.9.91-1.diff.gz
  to pool/main/g/goobox/goobox_0.9.91-1.diff.gz
goobox_0.9.91-1.dsc
  to pool/main/g/goobox/goobox_0.9.91-1.dsc
goobox_0.9.91-1_powerpc.deb
  to pool/main/g/goobox/goobox_0.9.91-1_powerpc.deb
goobox_0.9.91.orig.tar.gz
  to pool/main/g/goobox/goobox_0.9.91.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 301782@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dan Korostelev <nadako@gmail.com> (supplier of updated goobox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  2 May 2005 00:10:54 +0400
Source: goobox
Binary: goobox
Architecture: source powerpc
Version: 0.9.91-1
Distribution: unstable
Urgency: high
Maintainer: Dan Korostelev <nadako@gmail.com>
Changed-By: Dan Korostelev <nadako@gmail.com>
Description: 
 goobox     - CD player and ripper for GNOME
Closes: 301782
Changes: 
 goobox (0.9.91-1) unstable; urgency=high
 .
   * New upstream release
   * Stupid me, forgot to add gstreamer0.8-gnomevfs to Depends (Closes: #301782)
     Big thanks to Stephen Gran for finding that out! It was so simple...
   * Urgency is high, because this fix needs to go in Sarge.
   * Fixed the "unparsable menu item" lintian warning.
   * Changed my e-mail address in the control file
Files: 
 5a5ea7734e3a15c25f81c1f0fd0b20d2 810 gnome optional goobox_0.9.91-1.dsc
 e6a4d955260e41b1b1b4181069f5cc69 736359 gnome optional goobox_0.9.91.orig.tar.gz
 69c6300643a577b72ed3e810e24359ee 48709 gnome optional goobox_0.9.91-1.diff.gz
 29486c014c7ca5900be3364a4fb2813a 257680 gnome optional goobox_0.9.91-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCdgkTgTd+SodosdIRAon6AKCsJrwXWdaMVsqFlto7ymyAHmPnVgCeK5po
8R4pCvWTu48aq6JbLZdkIbA=
=2zIv
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Dan Korostelev <nadako@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags set to: sarge Request was from Dan Korostelev <nadako@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to Helge Kreutzmann <kreutzm@itp.uni-hannover.de> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: sarge Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:50:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.